Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227123 - Review Request: xmldb-api-0.1-0.20041010.3jpp - XML:DB API for Java
Summary: Review Request: xmldb-api-0.1-0.20041010.3jpp - XML:DB API for Java
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 18:01 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 15:24:02 UTC
fitzsim: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 18:01:09 UTC
Spec URL: http://people.redhat.com/rafaels/specs/xmldb-api-0.1-0.20041010.3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/xmldb-api-0.1-0.20041010.3jpp.src.rpm
Description: The API interfaces are what driver developers must implement when creating a
new driver and are the interfaces that applications are developed against.
Along with the interfaces a concrete DriverManager implementation is also
provides.

The reference implementation provides a very simple file system based
implementation of the XML:DB API. This provides what is basically a very
simple native XML database that uses directories to represent collections and
just stores the XML in files.

The driver development kit provides a set of base classes that can be
extended to simplify and speed the development of XML:DB API drivers. These
classes are used to provide the basis for the reference implementation and
therefore a simple example of how a driver can be implemented. Using the SDK
classes significantly reduces the amount of code that must be written to
create a new driver.

Along with the SDK base classes the SDK also contains a set of jUnit test
cases that can be used to help validate the driver while it is being
developed. The test cases are still in development but there are enough tests
currently to be useful.

XMLDB common Package, originally Infozone Tools

Javadoc for xmldb-api.

Comment 1 Deepak Bhole 2007-02-12 23:46:52 UTC
Spec file and SRPM are here:

http://people.redhat.com/dbhole/fedora/xmldb-api

Comment 2 Thomas Fitzsimmons 2007-02-13 01:00:32 UTC
$ rpmlint /home/fitzsim/rpmbuild/SRPMS/xmldb-api-0.1-0.1.20011111cvs.1jpp.1.src.rpm
W: xmldb-api non-standard-group Development/Java

OK.

$ rpmlint
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
W: xmldb-api non-standard-group Development/Java

OK.

W: xmldb-api incoherent-version-in-changelog 1:0.1-0.1.20011111cvs.1jpp.1.fc7
1:0.1-0.1.20011111cvs.1jpp.1

OK, caused by .fc7.

$ rpmlint
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-sdk-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
W: xmldb-api-sdk non-standard-group Development/Java

OK.

W: xmldb-api-sdk no-documentation

OK.

$ rpmlint
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-javadoc-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
E: xmldb-api-javadoc zero-length /usr/share/javadoc/xmldb-api-0.1/package-list

Why is this zero-length?

- inconsistent use of %{buildroot}
- you should use install when installing the license file
- why are these lines needed:

Requires(pre):    jpackage-utils >= 0:1.6
Requires(post):   jpackage-utils >= 0:1.6

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
xmldb-api-0.1.jar.so  
xmldb-api = 1:0.1-0.1.20011111cvs.1jpp.1

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
/bin/sh  
/bin/sh  
java-gcj-compat  
java-gcj-compat  
jpackage-utils >= 0:1.6
jpackage-utils >= 0:1.6
junit  
libc.so.6  
libc.so.6(GLIBC_2.1.3)  
libdl.so.2  
libgcc_s.so.1  
libgcj_bc.so.1  
libm.so.6  
libpthread.so.0  
librt.so.1  
libz.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
xalan-j2  

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-sdk-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
xmldb-api-sdk-0.1.jar.so  
xmldb-api-sdk = 1:0.1-0.1.20011111cvs.1jpp.1

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-sdk-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
libc.so.6  
libc.so.6(GLIBC_2.1.3)  
libdl.so.2  
libgcc_s.so.1  
libgcc_s.so.1(GCC_3.0)  
libgcj_bc.so.1  
libm.so.6  
libpthread.so.0  
librt.so.1  
libz.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
xmldb-api = 0.1-0.1.20011111cvs.1jpp.1

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-javadoc-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
xmldb-api-javadoc = 1:0.1-0.1.20011111cvs.1jpp.1

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-javadoc-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

$ rpm -qp --provides
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-debuginfo-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
xmldb-api-0.1.jar.so.debug  
xmldb-api-sdk-0.1.jar.so.debug  
xmldb-api-debuginfo = 1:0.1-0.1.20011111cvs.1jpp.1

$ rpm -qp --requires
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-debuginfo-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

Confirmed build on i386.


Comment 3 Deepak Bhole 2007-02-13 01:30:29 UTC
(In reply to comment #2)
>
/home/fitzsim/rpmbuild/RPMS/i386/xmldb-api-javadoc-0.1-0.1.20011111cvs.1jpp.1.i386.rpm
> E: xmldb-api-javadoc zero-length /usr/share/javadoc/xmldb-api-0.1/package-list
> 
> Why is this zero-length?
>

That is an autogenerated file. I did not want to touch it because it will change
from build to build.
 
> - inconsistent use of %{buildroot}

Fixed.

> - you should use install when installing the license file

Fixed.

> - why are these lines needed:
> 
> Requires(pre):    jpackage-utils >= 0:1.6
> Requires(post):   jpackage-utils >= 0:1.6
> 

Actually, that should be Requires and Requires(postun) (fixed now).

/usr/share/java is owned by jpackage-utils, and because yum does not guarantee
installation order with just "Requires", a requires(pre/postun) is required to
ensure that no unowned dirs are left behind.

New spec and srpm are in same location.

Comment 4 Thomas Fitzsimmons 2007-02-13 16:50:36 UTC
APPROVED.


Comment 5 Nuno Santos 2007-02-21 21:31:17 UTC
New Package CVS Request
=======================
Package Name: xmldb-api-0.1-0.20041010.3jpp
Short Description: XML:DB API for Java
Owners: nsantos@redhat.com
Branches: FC-7
InitialCC: rafaels@redhat.com,dbhole@redhat.com


Note You need to log in before you can comment on or make changes to this bug.